courier (1.5.1-4) unstable; urgency=medium

  * Add the following files:
    - debian/courier-base.tmpfiles.
    - debian/courier-faxmail.tmpfiles.
    - debian/courier-webadmin.tmpfiles.
  * Remove the following files, which are no longer needed:
    - debian/courier-faxmail.postrm.
    - debian/courier-ldap.postrm.
    - debian/courier-mlm.tmpfiles.
    - debian/courier-mta.courier.tmpfiles.
  * Update the following existing .tmpfiles to also handle permissions for
    config files:
    - debian/courier-imap.tmpfiles.
    - debian/courier-ldap.tmpfiles.
    - debian/courier-mta.tmpfiles.
    - debian/courier-pop.tmpfiles.
    - debian/sqwebmail.tmpfiles.
  * Refactor the following files for the new .tmpfiles design:
    - debian/courier-base.postinst.
    - debian/courier-base.postrm.
    - debian/courier-faxmail.postinst.
    - debian/courier-imap.postinst.
    - debian/courier-imap.postrm.
    - debian/courier-ldap.postinst.
    - debian/courier-mta.postinst.
    - debian/courier-mta.postrm.
    - debian/courier-pop.postinst.
    - debian/courier-pop.postrm.
    - debian/courier-webadmin.postinst.
    - debian/courier-webadmin.postrm.
    - debian/sqwebmail.postinst.
    - debian/sqwebmail.postrm.
  * debian/control:
    - Move courier-authdaemon from courier-base Depends to Pre-Depends as that
      is now where the courier user is created.
    - Remove courier-base Depends on courier-authlib and adduser (thanks to
      Luca Boccassi).
    - Remove unused "Pre-Depends: ${misc:Pre-Depends}" from:
      - courier-imap.
      - courier-ldap.
      - courier-mlm.
      - courier-mta.
      - courier-webadmin.
      - sqwebmail.
    - Remove unused ${misc:Recommends} from sqwebmail Recommends.
    - Bump Standards-Version from 4.7.2 to 4.7.4, dropping the now redundant
      "Priority: optional" field.

 -- Soren Stoutner <soren@debian.org>  Wed, 17 Jun 2026 18:21:57 -0700

courier (1.5.1-3) unstable; urgency=medium

  * Add debian/patches/adjust-webadmin-scripts.patch, thanks Jean Louis
    <bugs@gnu.support> (closes: #1132026).

 -- Soren Stoutner <soren@debian.org>  Fri, 27 Mar 2026 21:52:40 -0700

courier (1.5.1-2) unstable; urgency=medium

  * Upload to unstable (closes: #167766, #893838).

 -- Soren Stoutner <soren@debian.org>  Wed, 17 Dec 2025 07:21:55 -0700

courier (1.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove debian/patches/fix-cflags.patch:  Applied upstream.
  * Remove debian/patches/0029-tmp-disable-failing-tests.patch and
    0031-locale-indep.patch, no longer needed now that locales-all is present in
    the build environment.
  * Add debian/patches/fix-make-check-on-big-endian.patch.
  * Add debian/patches/temporarially-disable-maildrop-test.patch.
  * debian/patches/0002-rmail-and-sendmail-belong-to-usr-sbin.patch:  Patches
    file libs/maildrop/mailbot.c which was renamed upstream to
    libs/maildrop/mailbot.C.
  * debian/patches/0010-Don-t-use-static-linking-in-libs-maildir.patch:  Refresh
    offsets.
  * debian/patches/0012-Define-and-use-PEMFILE-in-mkesmtpdcert.patch:  Refresh
    offset.
  * debian/patches/0016-Use-system-courierauth.patch:  Refresh offset.
  * debian/patches/0018-Fix-default-configuration-for-Debian.patch:  Refresh
    offsets.
  * debian/patches/0019-Remove-upstream-chown-on-install-target.patch:  Refresh
    offsets.
  * debian/patches/
    0023-Fix-missing-AC_PROG_SYSCONFTOOL-macro-on-autoreconf.patch:  Fix failing
    hunk.
  * debian/patches/0025-Move-sqwebmail.sock.patch:  Refresh offset.
  * debian/patches/0030-disable-imap-tests.patch:  Fix failing hunk.
  * debian/patches/webadmin-restart-commands.patch:  Refresh offset.
  * debian/control:
    - Add the following Build-Depends version constraints, required for the
      libcourier-unicode10 transition.
      - courier-authlib-dev (>= 0.72.6).
      - libcourier-unicode-dev (>= 2.4.0).
    - Add Build-Depends on autoconf-archive, as upstream now uses one of the
      macros in that package.
    - Add Build-Depends on "locales-all <!nocheck>", which is necessary for some
      of the tests.
  * debian/copyright:  Update for new upstream release.
  * debian/courier-base.install:  Install init-d-script-courier directly from
    the debian directory instead of the temporary install directory.
  * debian/init-d-script-courier:  Set as executable to fix a lintian warning.
  * debian/lrc.config:  Update for new upstream release.
  * debian/rules:
    - Modernize the build hardening flags.
    - Stop adding obsolete --as-needed linker flag (suggested by lintian).
    - No longer install init-d-script-courier into the temporary directory.  It
      will be handled by debian/courier-base.install instead.
    - Make usr/share/courier/webadmin/admin-05local.pl executable to fix a
      lintian warning.
  * debian/watch:  Covert watch file from version 4 to version 5.

 -- Soren Stoutner <soren@debian.org>  Fri, 12 Dec 2025 12:38:05 -0700

courier (1.4.1-10) unstable; urgency=medium

  * Add remove-upstream-gnutls-version-check.patch (closes: #1111893).
  * debian/rules:  Display the expected file permissions in the build log.
  * debian/sqwebmail.postinst:
    - Change the dpkg-statoverride for /var/cache/sqwebmail user and group from
      courier:courier to bin:bin to match upstream recommendations and to enable
      caching of SqWebMail authentications.
    - Delete the following obsolete files:
      - /etc/apache2/conf-available/sqwebmail.apache24.conf
      - /etc/apache2/conf-enabled/sqwebmail.apache24.conf

 -- Soren Stoutner <soren@debian.org>  Tue, 09 Sep 2025 18:16:03 -0700

courier (1.4.1-9) unstable; urgency=medium

  * Remove the following files:
    - debian/sqwebmail.apache2
    - debian/sqwebmail.apache24.conf.
  * Add the following files:
    - debian/configs/calendarmode
    - debian/examples/apache2-alias.conf
    - debian/examples/apache2-host.conf
    - debian/sqwebmail.examples
    - debian/sqwebmail.sqwebmail-cleancache.service
    - debian/sqwebmail.sqwebmail-cleancache.timer
  * Rename debian/sqwebmail.cron.d to
    debian/sqwebmail.sqwebmail-cleancache.cron.d, change the user from bin to
    courier, and set it to run every 30 minutes instead of every 16 minutes.
  * Rename debian/sqwebmail.service to debian/sqwebmail.swqebmail.service so
    that it can be installed alongsite the sqwebmail-cleancache-service.
  * debian/control:
    - Remove sqwebmail Depends on cron, as it now also works with Systemd
      timers.
    - Be more expressive in the short description for courier-pcp.
    - Sort binary packages alphabetically.
    - Rewrap descriptions at 80 columns.
    - Remove obsolete "Rules-Requires-Root: no".
  * debian/lrc.config:  Add additional exceptions.
  * debian/rules:
    - Create an empty /etc/courier/sqwebmail/dictionary.
    - Remove the no-longer needed "--with apache2".
    - Remove obsolete -Wl,--as-needed linker flags.
  * debian/sqwebmail.config:  Remove obsolete sqwebmail/install-www and
    sqwebmail/install-www-backup entries.
  * debian/sqwembail.cron.d:  Change user from bin to courier.
  * debian/sqwebmail.dirs:  Remove unneeded var/www.
  * debian/sqwebmail.install:  Install the following files:
    - etc/courier/calendarmode
    - etc/courier/sqwebmail/dictionary
  * debian/sqwebmail.links:  Add /usr/lib/cgi-bin/sqwebmail.cgi, required for
    apache2-host.conf.
  * debian/sqwebmail.postinst:
    - No longer handle sqwebmail/install-www.
    - Delete the obsolete /var/www/sqwebmail directory.
    - Silence any dpkg-statoverride errors.
  * debian/sqwebmail.postrm:
    - No longer handle /var/www/sqwebmail.
    - No longer delete /etc/courier/calendarmode and /etc/courier/ispelldict as
      these will be handled as conffiles.
    - Silence any dpkg-statoverride errors.
  * debian/sqwebmail.README.Debian:  Update for current example configs.
  * debian/sqwebmail.service:  Fix typo in service description.
  * debian/sqwebmail.templates:  Remove obsolete sqwebmail/install-www and
    sqwebmail/install-www-backup entries.

 -- Soren Stoutner <soren@debian.org>  Sat, 06 Sep 2025 10:22:36 -0700

courier (1.4.1-8) unstable; urgency=medium

  * Add debian/tests/smoke-webadmin.
  * debian/patches/webadmin-restart-commands.patch: Update forwarded
    information.
  * debian/courier-webadmin.config:  Remove the courier-webadmin/install-cgi
    section.
  * debian/courier-webadmin.install:  Install /etc/courier/webadmin/password.
  * debian/courier-webadmin.postinst:
    - Stop manually creating and setting permissions for
      /etc/courier/webadmin/password.
    - Add a dpkg-statoverride for /etc/courier/webadmin/password.
    - Silence any dpkg-statoverride errors.
  * debian/courier-webadmin.postrm:
    - Remove the dpkg-statoverride for /etc/courier/webadmin/password on purge.
    - Silence any dpkg-statoverride errors.
  * debian/courier-webadmin.README.Debian:  Add information about enabling
    cgi-bin symlinks.
  * debian/rules:  Create an empty /etc/courier/webadmin/password file.
  * debian/tests/control:  Enable the smoke-webadmin test.

 -- Soren Stoutner <soren@debian.org>  Tue, 26 Aug 2025 02:38:10 -0700

courier (1.4.1-7) unstable; urgency=medium

  * Add debian/courier-webadmin.init and debian/courier-webadmin.service
    (closes: #1111836).
  * Add debian/courier-webadmin.links to create a cgi-bin link.
  * Add debian/lrc.config.
  * Add debian/patches/webadmin-restart-commands.patch.
  * debian/control:  Add "Pre-Depends: ${misc:Pre-Depends}".
  * debian/copyright:  Mark afx/configure and courier/doc/configure as released
    under the FSFUL license.
  * debian/courier-base.postinst:
    - Remove dpkg-statoverride for and force the reset of permissions for
      /var/lib/courier , which diverged from upstream and caused problems with
      webadmin.
    - Do not display error messages for temporary --force-statoverride-add.
  * debian/courier-base.postrm:  Remove the deletion of the dpkg-statoverride
    for /var/lib/courier.
  * debian/courier-webadmin.dirs:  Remove the unnecessary etc/courier/webadmin
    entry.
  * debian/courier-webadmin.install:  Install the new
    etc/courier/webadmin/restartcmd.
  * debian/courier-webadmin.postinst:  Stop copying the CGI binary, as it is now
    a link instead.
  * debian/courier-webadmin.postrm:
    - No longer delete the CGI binary, as it is a link and will automatically be
      removed.
    - Remove the webadmin socket on purge if it was left behind by the service.
  * debian/courier-webadmin.README.Debian:  Refactor to reflect the new,
    non-SUID webadmin architecture.
  * debian/courier-webadmin.templates:  Remove obsolete install-cgi question.
    The link is now created automatically on install.
  * debian/rules:  Really remove the obsolete copying of CPPFLAGS to CFLAGS and
    CXXFLAGS (not needed since debhelper 9, listed in the 1.4.1-5 changelog
    but not implemented).
  * debian/sqwebmail.init:  Add a Short-Description.

 -- Soren Stoutner <soren@debian.org>  Mon, 25 Aug 2025 14:35:50 -0700

courier (1.4.1-6) unstable; urgency=medium

  * Remove debian/NEWS as all the entries were obsolete.
  * Move the removal of /etc/courier/hosteddomains.dat from
    debian/courier-mta.postrm to debian/courier-base.postrm.
  * Move the removal of the contents of /etc/courier/hosteddomains/ from
    debian/courier-mta.postrm to debian/courier-base.prerm.

 -- Soren Stoutner <soren@debian.org>  Mon, 18 Aug 2025 17:05:14 -0700

courier (1.4.1-5) experimental; urgency=medium

  * debian/copyright:  Add PICCORO Lenz McKAY <mckaygerhard@gmail.com> to the
    "Files: debian/*" stanza.
  * Reverse the previous change in the 1.4.1-4 release by consolidating all
    processing of /etc/courier/hosteddomains into the courier-base package
    (closes: #1041600).
    - Move the creation of /etc/courier/hosteddomains from
      debian/courier-mta.dirs to debian/courier-base.dirs.
    - Move the dpkg-statoverride addition from debian/courier-mta.postinst to
      debian/courier-base.postinst.
    - Move the dpkg-statoverride removel from debian/courier-mta.postrm to
      debian/courier-base.postrm.
  * debian/courier-mta.README.Debian:  Improve documentation, particularly
    regarding the default state of the service.
  * debian/rules:
    - Disable the courier-mlm service on install because it requires the
      creation of mailing lists first.  Thanks to mckaygerhard
      (closes: #979545, #979161).
    - Remove the obsolete copying of CPPFLAGS to CFLAGS and CXXFLAGS (not needed
      since debhelper 9).

 -- Soren Stoutner <soren@debian.org>  Mon, 18 Aug 2025 16:41:32 -0700

courier (1.4.1-4) experimental; urgency=medium

  * debian/courier-base.dirs:  Remove /etc/courier/hosteddomains, which is
    handled by debian/courier-mta.dirs (closes: #1041600).
  * debian/courier-base.postinst:  Remove dpkg-statoverride for
    /etc/courier/hosteddomains.
  * debian/courier-base.postrm:  Remove dpkg-statoverride removal for
    /etc/courier/hosteddomains.
  * debian/courier-mta.postrm:  Add dpkg-statoverride for
    /etc/courier/hosteddomains.
  * debian/courier-mta.postrm:  Add dpkg-statoverride removal for
    /etc/courier/hosteddomains.
 -- Soren Stoutner <soren@debian.org>  Mon, 07 Jul 2025 14:07:34 -0700

courier (1.4.1-3) unstable; urgency=medium

  * Rename debian/README.Debian > debian/courier-base.README.Debian.
  * Call /usr/lib/courier/imapd* directly instead of /usr/sbin/imapd* in the
    following files:
    - debian/courier-imap.courier-imap-ssl.init
    - debian/courier-imap.courier-imap-ssl.service
    - debian/courier-imap.courier-imap.service
    - debian/courier-imap.init
  * debian/changelog:  Remove duplicate entries (all of the entries from
    0.29.1-1 to 1.0.9-1 were listed twice).
  * debian/courier-imap.README.Debian:  Add a section documenting automatic
    deletion of emails from the trash folder after 7 days (see: #436266).
  * debian/courier-imap.install:  Don't install /usr/sbin/imapd and
    /usr/sbin/imapd-ssl.
  * debian/courier-imap.links:  Don't link /usr/share/man/man8/imapd-ssl.8 to
    /usr/share/man/man8/imapd.8.
  * debian/rules:  Delete the upstream /usr/sbin/imapd* links
    (closes: #1064787).

 -- Soren Stoutner <soren@debian.org>  Sat, 14 Jun 2025 17:24:16 -0700

courier (1.4.1-2) unstable; urgency=medium

  * Update Turkist debconf translation, thanks to Atila KOÇ
    <atilakoc@yahoo.com>.

 -- Soren Stoutner <soren@debian.org>  Tue, 20 May 2025 22:03:15 -0700

courier (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/patches/fix-cflags.patch to make blhc happy.
  * Rename files:
    - debian/README.debian > README.Debian
    - debian/README.Source > README.source
  * debian/control:
    - Add explicit build-depends on ca-certificates to fix reproducible builds
      (Closes: #1103288).
    - Add explicit breaks to make missing-breaks happy.
  * debian/copyright:
    - Update copyright years for new upstream release.
    - Fix tab formatting.
  * debian/rules:
    - Improve hardening flags.
    - Remove the undefined "an-trap" macro from the man pages.

 -- Soren Stoutner <soren@debian.org>  Mon, 10 Mar 2025 15:58:15 -0700

courier (1.3.13-11) unstable; urgency=medium

  * debian/courier-base.postinst:  Remove any mispelled mairdirkw alternatives.

 -- Soren Stoutner <soren@debian.org>  Sat, 08 Mar 2025 20:36:25 -0700

courier (1.3.13-10) unstable; urgency=medium

  * debian/control:
    - Permanently remove the build-depends-arch section in an attempt to fix
      build-all failures.

 -- Soren Stoutner <soren@debian.org>  Thu, 27 Feb 2025 15:03:25 -0700

courier (1.3.13-9) unstable; urgency=medium

  * Add debian/po/ca.po.
  * debian/control:
    - Temporarily move most build-depends-arch back to build-depends to
      troubleshoot a build-all failure.
    - Mark courier-doc as "Multi-Arch: foreign".
    - Bump standards-version to 4.7.2, no changes required.
  * debian/copyright:
    - Sort PO stanza copyrights alphabetically.
    - Add copyright information for new translations.
  * debian/po/pt_BR.po:  Update translation (Closes: #1024193).
  * debian/tests/control:  Remove superficial flags.

 -- Soren Stoutner <soren@debian.org>  Mon, 24 Feb 2025 15:05:39 -0700

courier (1.3.13-8) unstable; urgency=medium

  * debian/courier-base.postinst:  Add TODO comment.
  * debian/courier-base.prerm:  Add TODO comment.
  * debian/control:
    - Move most build-depends to build-depends-arch.
    - Remove obsolete build-depends and depends version constraints.
    - Remove obsolete optional build-dependencies and dependencies.
    - Remove obsolete build-conflicts on automake1.4.
    - Remove obsolete breaks and replaces.
    - Remove couriergrey from courier-mta suggests, obsolete.
    - Add "Rules-Requires-Root: no", no changes required.
    - Bump standards-version to 4.7.1, no changes required.
  * debian/not-installed:  Add TODO comment.

 -- Soren Stoutner <soren@debian.org>  Thu, 20 Feb 2025 17:29:39 -0700

courier (1.3.13-7) unstable; urgency=medium

  * debian/copyright: Fix copyright information for ltmain.sh.
  * debian/courier-base.postinst:  Fix alternative for maildirkw.

 -- Soren Stoutner <soren@debian.org>  Thu, 20 Feb 2025 16:18:52 -0700

courier (1.3.13-6) unstable; urgency=medium

  * debian/copyright:
    - Fix the license information for ltmain.sh.
    - Correct a copyright year.
    - Remove trailing whitespaces.
  * debian/courier-base.install:  Add .courier extension to maildirkw files
    (Closes: #1095619).
  * debian/courier-base.postinst:  Add alternative for maildirkw.
  * debian/courier-base.prerm:  Remove alternative for maildirkw.

 -- Soren Stoutner <soren@debian.org>  Sat, 01 Feb 2025 20:23:12 -0700

courier (1.3.13-5) unstable; urgency=medium

  * debian/courier-mta.postinst:  Fix bashism in addcr diversion removal script.

 -- Soren Stoutner <soren@debian.org>  Tue, 21 Jan 2025 16:16:09 -0700

courier (1.3.13-4) unstable; urgency=medium

  * debian/courier-mta.postinst:  Fix addcr diversion removal script.

 -- Soren Stoutner <soren@debian.org>  Mon, 20 Jan 2025 14:36:02 -0700

courier (1.3.13-3) unstable; urgency=medium

  * debian/courier-mta.install:  Don't install the addcr man page, as the binary
    is no longer located in the path, and is not intended to be called by users.
  * debian/not-installed:  Exempt usr/share/man/man1/addcr.1.

 -- Soren Stoutner <soren@debian.org>  Sat, 18 Jan 2025 12:00:27 -0700

courier (1.3.13-2) unstable; urgency=medium

  * Add debian/upstream/metadata.
  * Add debian/patches/specify-addcr-directory.patch.
    <https://github.com/svarshavchik/courier/issues/56>
  * Remove debian/courier-mta.preinst, which is no longer required with the
    above patch.
  * debian/control:  Update homepage protocol to https.
  * debian/courier-mta.install:  Don't install /usr/bin/addcr.
  * debian/courier-mta.postrm:  Remove the dpkg-divert commands for addcr, which
    are no longer needed with the above patch.
  * debian/courier-mta.postinst:  Delete any stale addcr diversions left over
    from previous installs.
  * debian/not-installed:  Exempt /usr/bin/addcr.

 -- Soren Stoutner <soren@debian.org>  Thu, 16 Jan 2025 09:34:18 -0700

courier (1.3.13-1) unstable; urgency=medium

  * New upstream release (Closes: #1069307).
  * Fixes CVE-2021-38084 (fixed upstream in 1.1.5, Closes: #989375).
  * Set myself to be the maintainer (Closes: #978755).
  * Add debian/gbp.conf to enforce pristine-tar and sign-tags.
  * Add debian/README.Source to document CRLF issues.
  * Add debian/salsa-ci.yml with default contents.
  * Remove the following patches (applied upstream)
    - 0004-Remove-Google-Ads-from-documentation.patch
    - 0024-Dynamically-resolver-mailuid-and-mailgid-on-runtime-.patch
  * debian/control:
    - Update build-depend from libgcrypt-dev to libgcrypt20-dev.
    - Update build-depend from libidn11-dev to libidn-dev (Closes: #1086096).
    - Update build-depend from libpcre3-dev to libpcre2-dev (which is newer even
      though the name would indicate otherwise, Closes: #1000053).
    - Remove obsolete depends on lsb-base.
    - Bump standard version to 4.7.0 (no changes needed).
  * debian/copyright:  Update and refactor for readability.
  * debian/courier-base.install:  Install
    usr/share/man/man1/maildirwatch.courier.1.
  * debian/courier-webadmin.install:  Install
    etc/courier/webadmin/restartauthcmd.
  * debian/patches:  Refresh patches.
  * debian/rules:  Fix the extraction of subproject versions.
  * debian/upstream/signing-key.asc:  Update to match current upstream signing
    key.

 -- Soren Stoutner <soren@debian.org>  Wed, 15 Jan 2025 15:51:16 -0700

courier (1.0.16-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on media-types instead of mime-support. Closes #1057702

 -- Charles Plessy <plessy@debian.org>  Sun, 31 Dec 2023 03:24:25 +0900

courier (1.0.16-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop gamin support. (Closes: #423875, #599682, #1029207, #1038808)

 -- Bastian Germann <bage@debian.org>  Tue, 24 Oct 2023 18:45:03 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog courier-base`.
